Name:		itzam-core
Version:	2.1.1
Release:	4%{?dist}
Summary:	Library for creating and manipulating keyed-access database files

Group:		System Environment/Libraries
License:	GPLv3+
URL:		http://www.coyotegulch.com/products/itzam/index.html
Source0:	http://www.coyotegulch.com/distfiles/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:		itzam-core-2.1.1-itzam32.patch

%description
Itzam/Core is a deliberately portable and concise C library for creating and
manipulating keyed-access database files containing variable-length, random
access records. Information is referenced by a user-defined key value;
indexes may be combined with or remain separate from data. 

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .itzam32


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

cat LICENSE.NON-FREE | tr -d '\r' > LICENSE.NON-FREE.tmp
touch -r LICENSE.NON-FREE LICENSE.NON-FREE.tmp
mv LICENSE.NON-FREE.tmp LICENSE.NON-FREE


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE.GPL LICENSE.NON-FREE LICENSE.POLICY NEWS README
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Sep 06 2008 Martin Nagy <mnagy@redhat.com> 2.1.1-1
- initial packaging
